cURL
curl -X POST "https://app.cotool.ai/api/agents/:agentId/linear/agent-session" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"issueId":"string","externalUrls":[{"label":"string","url":"string"}]}'import requests
url = "https://app.cotool.ai/api/agents/{agentId}/linear/agent-session"
payload = {
"issueId": "<string>",
"externalUrls": [
{
"label": "<string>",
"url": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({issueId: '<string>', externalUrls: [{label: '<string>', url: '<string>'}]})
};
fetch('https://app.cotool.ai/api/agents/{agentId}/linear/agent-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agents/{agentId}/linear/agent-session")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"issueId\": \"<string>\",\n \"externalUrls\": [\n {\n \"label\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/linear/agent-session"
payload := strings.NewReader("{\n \"issueId\": \"<string>\",\n \"externalUrls\": [\n {\n \"label\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"message": "<string>",
"agentSessionId": "<string>",
"triggerId": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Linear Agent
Create Linear agent session for an agent
Creates a Linear Agent Session on an issue for an agent that already has an enabled Linear agent-session trigger.
POST
/
api
/
agents
/
{agentId}
/
linear
/
agent-session
cURL
curl -X POST "https://app.cotool.ai/api/agents/:agentId/linear/agent-session" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"issueId":"string","externalUrls":[{"label":"string","url":"string"}]}'import requests
url = "https://app.cotool.ai/api/agents/{agentId}/linear/agent-session"
payload = {
"issueId": "<string>",
"externalUrls": [
{
"label": "<string>",
"url": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({issueId: '<string>', externalUrls: [{label: '<string>', url: '<string>'}]})
};
fetch('https://app.cotool.ai/api/agents/{agentId}/linear/agent-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agents/{agentId}/linear/agent-session")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"issueId\": \"<string>\",\n \"externalUrls\": [\n {\n \"label\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/linear/agent-session"
payload := strings.NewReader("{\n \"issueId\": \"<string>\",\n \"externalUrls\": [\n {\n \"label\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"message": "<string>",
"agentSessionId": "<string>",
"triggerId": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Body
application/json
Was this page helpful?
⌘I